Bug 1288096 - qemu quit when rebooting guest which hotplug memory >=13 times
Summary: qemu quit when rebooting guest which hotplug memory >=13 times
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.2
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Igor Mammedov
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1245864
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-03 13:58 UTC by Jan Kurik
Modified: 2016-01-28 16:01 UTC (History)
15 users (show)

Fixed In Version: qemu-kvm-rhev-2.3.0-31.el7_2.5
Doc Type: Bug Fix
Doc Text:
Clone Of: 1245864
Environment:
Last Closed: 2016-01-28 16:01:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0084 normal SHIPPED_LIVE Important: qemu-kvm-rhev security and bug fix update 2016-01-28 20:56:05 UTC

Description Jan Kurik 2015-12-03 13:58:08 UTC
This bug has been copied from bug #1245864 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 3 Miroslav Rezanina 2015-12-10 08:37:40 UTC
Fix included in qemu-kvm-rhev-2.3.0-31.el7_2.5

Comment 4 Pei Zhang 2015-12-15 02:58:03 UTC
Summary: After testing with the latest versions, the results below can prove that this bug has been fixed well.

Versions:
Host:
Kernel:3.10.0-334.el7.x86_64
qemu-kvm-rhev:qemu-kvm-rhev-2.3.0-31.el7_2.5.x86_64
Guest:
Kernel:3.10.0-334.el7.x86_64

Steps:
1. Boot guest.
</usr/libexec/qemu-kvm command> \
-m 1G,slots=256,maxmem=40G -numa node \
-monitor unix:/tmp/socket,server,nowait 

2. Hotplug 10M memory 13 times using below script.
#!/bin/bash
i=0 
num=13
#num=256
while [ $i -lt $num ] 
do 
echo $i
sleep 3 
echo "object_add memory-backend-ram,id=mem$i,size=10M"|nc -U /tmp/socket 
sleep 2
echo "device_add pc-dimm,id=dimm$i,memdev=mem$i,slot=$i"|nc -U /tmp/socket 
i=$(($i+1)) 
done 

3. Reboot guest several times.
# reboot

4. Check status of qemu. Qemu keeps working.
# echo "info version" |nc -U /tmp/socket
QEMU 2.3.0 monitor - type 'help' for more information
(qemu) info version
2.3.0 (qemu-kvm-rhev-2.3.0-31.el7_2.5)

5. Also tested 'hotplug 256 times' with same steps 1~4. Qemu also keeps working.

So this bug has been fixed well.

Comment 9 errata-xmlrpc 2016-01-28 16:01:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0084.html


Note You need to log in before you can comment on or make changes to this bug.